org.apache.maven.project.artifact

## Class InvalidDependencyVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.project.artifact.InvalidDependencyVersionException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidDependencyVersionException
      extends java.lang.Exception

  Thrown if a dependency has an invalid version.
  Version:
    $Id: InvalidDependencyVersionException.java 495147 2007-01-11 07:47:53Z jvanzyl $
  Author:
    Brett Porter
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidDependencyVersionException(java.lang.String message, java.lang.Exception cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidDependencyVersionException

          public InvalidDependencyVersionException(java.lang.String message,
                                           java.lang.Exception cause)